Bug 1769422 - YAML editor shortcuts are not discoverable
Summary: YAML editor shortcuts are not discoverable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.3.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 15:38 UTC by Samuel Padgett
Modified: 2020-01-23 11:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.3.0-0.ci-2019-11-06-112104 Cluster ID: fec3ce36-0b01-4b4e-9549-c66c9e86ac4e
Last Closed: 2020-01-23 11:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3178 'None' 'closed' 'Bug 1769422: frontend: Add shortcuts link to YAML and hide sidebar when no data' 2019-11-21 09:00:43 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:11:31 UTC

Description Samuel Padgett 2019-11-06 15:38:07 UTC
We need a hint in the UI that users can perform completion, otherwise no one will know about the feature.

See https://jira.coreos.com/browse/CONSOLE-1805

Comment 2 Yadan Pei 2019-11-21 09:01:40 UTC
fixes is not in any 4.3 nightly payload yet, will check on newer build

Comment 3 Yadan Pei 2019-11-22 02:02:49 UTC
1. Open Import YAML page, it will show 'Shortcuts' link in yaml editor
see screenshot 1


2. Create Resources by example YAML, the schema sidebar is opened by default and we have 'Shortcuts' link, click on 'Shortcuts' it will open and show some shortcuts
see screenshot 2


3. Create ConsoleYAMLSample, then go to Workloads -> Jobs page, create a job via YAML, on YAML page, sidebar is opened at default with Schema and Samples
see screenshot 3

Verified on 4.3.0-0.nightly-2019-11-21-122827

Comment 5 errata-xmlrpc 2020-01-23 11:11:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.